# Smelter Mining Machines (A&B) / Chemical Mining Machines (C) 

There are 6 types (A, B and C，and corresponding advanced mining machines A, B, C). A and B require "High-strength glass" technology to unlock, C requires "Quantum chip" technology to unlock. Advanced Mining machines A, B, C Requires the same technology that unlocks the vanilla advanced mining machine.

There is basically no difference between A and B types, except "When certain minerals can be smelted into different products, A and B machine will smelt them into different products". 
For example: iron ore--A-->iron nuggets;  iron ore--B-->Magnet".

Type C is designed to replace the functions of mining machines + chemical plants, specifically collecting fire ice to output graphene, and collecting spiniform stalagmite crystal to output carbon nanotubes.

Some products (such as glass) require 2 raw ores to produce one product. Under these circumstances, the smelter mining machine collects minerals at a normal speed, but only produces glass at a speed of 50%.

For minerals that cannot be processed by the mining machineABC, the function of the new mining machine is exactly the same as the original mining machine.

Work comsumption A/B/C: 2.4 / 2.4 / 4.8 MW (Advanced Machines: 7.2 / 7.2 / 9.0 MW)
Idle consumption A/B/C: 60 / 60 / 120 kW (Advanced Machines: 180 / 180 / 180 kW)

### Same way type A and B (including advanced A and B) produce the ore（Veins：Output）--Notice: C or Advanced C can't do recipes below--

Copper ore: Copper ingot
Silicon ore: High-purity silicon
Titanium ore: Titanium ingot
Fractal silicon: Crystal silicon
Coal: Energetic graphite
Kimberlite ore: Diamond

### Smelter Mining Machine A - Special

Iron ore：Iron ingot
Stone: Stone brick

### Smelter Mining Machine B - Special

Iron ore：magnet
Stone: Glass

### Chemical Mining Machine C - Only these

Fire ice: Graphene
Spiniform stalagmite crystal: Carbon nanotube

### Installation

1. Install BepInEx.
2. Install LDBTool. (version lower than 1.7.0 may cause errors) 
3. Drag SmelterMiner.dll into "Dyson Sphere Program/BepInEx/plugins/"

### Mod conflicts

Problems may arise when other mods that create new items/recipes use the following IDs:
RecipeProto.ID: 452, 453, 454, 472, 473, 474
ItemProto.ID: 9446, 9447, 9448, 9466, 9467, 9468
StringProto.ID: 10547, 10548, 10549, 10550, 10551, 10552, 10577, 10578, 10579, 10580, 10581, 10582

Problems may arise when other mods that create new items/recipes use the following GridIndex:
2311, 2312, 2412, 2510, 2511, 2512

Problems may arise when other mods that create new items/recipes use the following BuildIndex:
205, 206, 207, 208, 209, 210

Besides, since this mod changes the function that controlls the normal mining, it may cause some related mods lose their functions (such as infinate mining). This mod provides a way that you can customize your own mining rate (not mining speed) in the config file.

### ChangeLog

v1.4.0: Update for game version 0.9.24.11182. (2022-1-20)
	Add new Advanced Mining Machines A, B and C.
	The problem is currently known: When the advanced mininig machine has not begun to work, the product will display the original mineral, but once the power is on, it will produce the correct product. Therefore, this problem has no practical impact on the MOD function. 
	Easy mode (default off, not recommended) can be enabled in the config file, which greatly reduces the technology requirement and construction cost. 

v1.3.0: More Bugs fixed.  :)   If there are any problems, please let me know, I will try my best to fix that. Thanks to *djemrelek* and *rmwoj* to help me to find the bugs and fix them.

v1.2.0: Bugs fixed! (Lower version would cause errors after finished mining a mineral vein (when it was mining glass or hraphite).)

v1.1.2: Now you can reduce the technological requirements and construction costs of the new mining machines by modifying the config file. But this is not recommended since this may harm the fun of the game, especially when this is the first time you play this game. So I write this only in changelog.

v1.1.1: Correct the error of the description text

v1.1.0: A new chemical mining machine C is added to collect fire ice and spiniform stalagmite crystal. In addition, the technical requirements and costs of the three mining machines have been greatly increased. This mod aims to provide some convenience for the large-scale laying of scattered basic resource production areas in the middle and late stages of the game.

v1.0.1: When mining and smelting items that require two raw ore to produce one (such as glass), the [probability] is no longer used, but is fixed at 50% [speed] (without changing the mining speed).

# 熔炉采矿机AB、化工采矿机C

共有六种类型（A、B和C，以及对应的大型矿机版本），AB需要高强度玻璃科技解锁，C需要量子芯片科技解锁。大型矿机A、B、C的解锁科技与游戏本体的大型矿机的解锁科技相同。
AB型两种基本没有区别，除了“当某些矿物可以熔炼成不同产物时，A、B型采矿机会将它们熔炼成不同产物”。例如铁矿石--A-->铁块；铁矿石--B-->磁铁”。
C型则旨在替代矿机+化工厂的功能，专门采集可燃冰输出石墨烯，采集刺笋晶体输出碳纳米管。
对于矿机无法处理的矿物，矿机功能和原始的矿机完全相同。

一些产物（例如玻璃）需要2个原矿生产一个产物，这时采矿机会正常采集矿物，但只以50%的速率产生玻璃。

工作功率 A/B/C：2.4 / 2.4 / 4.8 MW（大型矿机则是7.5 / 7.5 / 9.0 MW）
待机功率 A/B/C：60 / 60 / 120 kW（大型矿机则是180 / 180 / 180 kW）

### A和B（包括大型A和B）相同的处理方式（地表矿脉：矿机输出），注意C以及大型C矿机不能处理这个

铜矿：铜块
硅石：高纯硅块
钛石：钛块
分型硅石：晶格硅
煤矿：高能石墨
金伯利矿石：金刚石

### A独特的处理方式

铁矿：铁块
石矿：石材

### B独特的处理方式

铁矿：磁铁
石矿：玻璃

### C独特的处理方式

可燃冰：石墨烯
刺笋晶体：碳纳米管

### 安装

1. 安装 BepInEx框架. 
2. 安装 LDBTool. （低于1.7.0的版本可能会导致错误）感谢宵夜97提供了方便的工具。
3. 将SmelterMiner.dll放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内

### Mod冲突

当其他创造新物品/配方的mod使用了以下ID时，可能会产生问题：
RecipeProto.ID: 452, 453, 454, 472, 473, 474
ItemProto.ID: 9446, 9447, 9448, 9466, 9467, 9468
StringProto.ID: 10547, 10548, 10549, 10550, 10551, 10552, 10577, 10578, 10579, 10580, 10581, 10582
当其他创造新物品/配方的mod使用了以下位置时，可能会产生问题：
2311, 2312, 2412, 2510, 2511, 2512
当其他创造新物品/配方的mod使用了以下快速建造栏位置时，可能会产生问题：
205, 206, 207, 208, 209, 210

此外，这个mod修改了正常采矿的函数，所以可能会导致一些相关的mod失效（尤其是使用了prefix的，例如无限采矿），因此这个mod提供了一个可以自定义采矿消耗率（不是采矿速度）的功能，可以在config文件中修改。

### 更新

v1.4.0: 更新以适配游戏版本0.9.24.11182（游戏更新于2022-1-20）
	添加了对应的大型矿机A、B、C型
	目前已知的问题：刚放下大型矿机且未工作时，产物会显示原始矿物，但一旦通电/开始工作即变为正确的二级产物，因此该问题对mod功能无实际影响
	可以在设置文件中启用简单模式（默认不开启，且不推荐开启），大大降低熔炉矿机的科技需求和建造成本。

v1.3.0: Bug修复。如果有任何问题，请联系我，我会尽力修复。

v1.2.0: 严重Bug修复。低版本的mod可能会在采干一片矿脉时报错（当你生产玻璃、石墨时）。

v1.1.2: 现在你可以通过修改配置文件大幅降低新矿机的科技需求和建造成本。不过不推荐这样做，因为这可能损害游戏寿命和游戏的可玩性，尤其当你刚开始玩你的第一个存档的时候。所以这个只在更新日志里提了一嘴，正文没写。

v1.1.1: 更正描述文字的错误。

v1.1.0: 新增化工采矿机C，采集可燃冰输出石墨烯，采集刺笋晶体输出碳纳米管。此外，大幅提高了三种采矿机的科技需求和成本，本mod旨在为游戏中后期大规模铺设散落的基础资源生产区提供一些便利。

v1.0.1: 开采并熔炼需要两个原矿产出一个的物品时（例如玻璃），不再使用概率进行产出，而是固定以50%速度产出（不改变采矿速度）。